#define TERRAIN_COUNT 17
#define TERRAIN_SPACE 50.0f
#define TERRAIN_RANGE 500.0f
#define TERRAIN_STRIP_COUNT 2
#define TERRAIN_STRIP (TERRAIN_RANGE/TERRAIN_COUNT)*TERRAIN_STRIP_COUNT
#define TERRAIN_ROUGHNESS 1

GLint bTerrain_Flag;

//GLint count;

//Terrain Struct
typedef struct
{
	float p[3]; // point
	float n[3]; // normal
	float c[3]; // color
} TP;
TP Terrain[TERRAIN_COUNT][TERRAIN_COUNT];

// Terrain look up info
typedef struct
{
	// square
	float xMax, xMin, zMax, zMin; // sqaure bounds
	float zC; // diagnal intersection

	// triangle 1
	float k1; // plane const
	float n1[3]; // normal
	float pitch1;
	float roll1;

	// triangle 2
	float k2; // plane const
	float n2[3]; // normal
	float pitch2;
	float roll2;
} LU;
LU LookUp[TERRAIN_COUNT - 1][TERRAIN_COUNT - 1];
